1 files changed, 11 insertions(+), 0 deletions(-)
A encrypt-dir
A encrypt-dir => encrypt-dir +11 -0
@@ 0,0 1,11 @@
+#!/bin/sh
+
+if [ "$#" -ne 2 ]; then
+ echo "usage: $0 dir recipient" >&2
+ exit 1
+fi
+
+dir="$1"
+recipient="$2"
+
+XZ_DEFAULTS="-T 0" tar -cvJ "$dir" | age -r "$recipient" > "$dir.tar.xz.age"